Bug 80766 - new external usb hard disk arbitrarily assigned /dev/sda1
new external usb hard disk arbitrarily assigned /dev/sda1
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-30 19:20 EST by Barry K. Myrvold
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:08:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry K. Myrvold 2002-12-30 19:20:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
My computer, a dell poweredge 410, has 4 scsi disks set up as raid 5, other
miscellaneous attached scsi items, and an external usb hard disk for backup.  I
installed redhat 8.0 with the 4 disks assigned sda - sdd with boot, the root and
swap partition on sda.  However, after I attached a new usb external hard disk,
and rebooted, the new hard disk was assigned /dev/sda!  Thus, the root and swap
partitions are on sdb, and the other 3 raid disks are sdc-sde.  Now, when I boot
- it still boots ok - it can't find the swap partition.  Otherwise, everything
works ok.  FYI, here's 'cat /etc/fstab':
 LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/md0                /home                   ext3    defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/sda2               swap                    swap    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
/dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro 0 0
/dev/hdd4               /mnt/zip                auto    noauto,owner,kudzu 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/hdc        /mnt/cdrom      auto    ro,noauto,user,exec     0 0
/dev/scd0       /mnt/cdrom1     auto    ro,noauto,user,exec     0 0
/dev/sda1       /mnt/usbhd                      ext3    defaults 0 0

/dev/sdf1               /mnt/jaz                auto    noauto,owner,kudzu 0 0
         

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set up raid 5 - root/boot/swap on sda
2.attach usb external hard disk
3.reboot
    

Actual Results:  same thing

Expected Results:  I had hoped that the new hard disk would have been assigned
/dev/sdf1 or /dev/sde1 so that I wouldn't lose my /dev/swap partition.

Additional info:
Comment 1 Bill Nottingham 2002-12-30 22:58:10 EST
This seems very odd. Do you have usb-storage on your initrd?
Comment 2 Barry K. Myrvold 2003-01-01 14:45:28 EST
Bill -
Thanks for taking a look at this.  Its not really a big deal as I have lots of
RAM and haven't noticed any performance problems.  I am running the stock redhat
kernel - 2.4.18-18.8.0smp - so I really don't know if usb-storage is in initrd.
   How do I check this?  'man initrd' didn't help.  If there's anything else I
can do to sort this oddity out, let me know.
Barry

   
Comment 3 Bill Nottingham 2003-01-01 20:53:43 EST
Run 'mkinitrd -v foo.img 2.4.18-18.8.0smp'; is usb-storage one of the modules it
puts on the initrd?
Comment 4 Barry K. Myrvold 2003-01-01 23:11:05 EST
Doesn't look like it:
mkinitrd -v foo.img 2.4.18-18.8.0smp
Using modules:  ./kernel/drivers/scsi/scsi_mod.o ./kernel/drivers/scsi/sd_mod.o
./kernel/drivers/scsi/aic7xxx/aic7xxx.o ./kernel/drivers/md/xor.o
./kernel/drivers/md/raid5.o ./kernel/fs/jbd/jbd.o ./kernel/fs/ext3/ext3.o
Using loopback device /dev/loop0
/sbin/nash -> /tmp/initrd.fYbrSf/bin/nash
/sbin/insmod.static -> /tmp/initrd.fYbrSf/bin/insmod
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/scsi_mod.o' ->
`/tmp/initrd.fYbrSf/lib/scsi_mod.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/sd_mod.o' ->
`/tmp/initrd.fYbrSf/lib/sd_mod.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/aic7xxx/aic7xxx.o' ->
`/tmp/initrd.fYbrSf/lib/aic7xxx.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/md/xor.o' ->
`/tmp/initrd.fYbrSf/lib/xor.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/md/raid5.o' ->
`/tmp/initrd.fYbrSf/lib/raid5.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/fs/jbd/jbd.o' ->
`/tmp/initrd.fYbrSf/lib/jbd.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/fs/ext3/ext3.o' ->
`/tmp/initrd.fYbrSf/lib/ext3.o'
Loading module scsi_mod
Loading module sd_mod
Loading module aic7xxx
Loading module xor
Loading module raid5
Loading module jbd
Loading module ext3

Barry
Comment 5 Bill Nottingham 2003-01-01 23:18:11 EST
What happens if you run the same command with the usb drive mounted somewhere?

Can you attach the 'dmesg' output from a normal boot?
Comment 6 Barry K. Myrvold 2003-01-02 18:36:42 EST
1.  What happens if you run the same command with the usb drive mounted somewhere?
>mount /mnt/usbhd 
>mkinitrd -v foo.img 2.4.18-18.8.0smp
Using modules:  ./kernel/drivers/scsi/scsi_mod.o ./kernel/drivers/scsi/sd_mod.o
./kernel/drivers/scsi/aic7xxx/aic7xxx.o ./kernel/drivers/md/xor.o
./kernel/drivers/md/raid5.o ./kernel/fs/jbd/jbd.o ./kernel/fs/ext3/ext3.o
Using loopback device /dev/loop0
/sbin/nash -> /tmp/initrd.6pBcHJ/bin/nash
/sbin/insmod.static -> /tmp/initrd.6pBcHJ/bin/insmod
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/scsi_mod.o' ->
`/tmp/initrd.6pBcHJ/lib/scsi_mod.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/sd_mod.o' ->
`/tmp/initrd.6pBcHJ/lib/sd_mod.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/aic7xxx/aic7xxx.o' ->
`/tmp/initrd.6pBcHJ/lib/aic7xxx.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/md/xor.o' ->
`/tmp/initrd.6pBcHJ/lib/xor.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/md/raid5.o' ->
`/tmp/initrd.6pBcHJ/lib/raid5.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/fs/jbd/jbd.o' ->
`/tmp/initrd.6pBcHJ/lib/jbd.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/fs/ext3/ext3.o' ->
`/tmp/initrd.6pBcHJ/lib/ext3.o'
Loading module scsi_mod
Loading module sd_mod
Loading module aic7xxx
Loading module xor
Loading module raid5
Loading module jbd
Loading module ext3

also, FYI
>umount /mnt/usbhd
mkinitrd -v foo.img 2.4.18-18.8.0smp
Using modules:  ./kernel/drivers/scsi/scsi_mod.o ./kernel/drivers/scsi/sd_mod.o
./kernel/drivers/scsi/aic7xxx/aic7xxx.o ./kernel/drivers/md/xor.o
./kernel/drivers/md/raid5.o ./kernel/fs/jbd/jbd.o ./kernel/fs/ext3/ext3.o
Using loopback device /dev/loop0
/sbin/nash -> /tmp/initrd.1eGPcA/bin/nash
/sbin/insmod.static -> /tmp/initrd.1eGPcA/bin/insmod
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/scsi_mod.o' ->
`/tmp/initrd.1eGPcA/lib/scsi_mod.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/sd_mod.o' ->
`/tmp/initrd.1eGPcA/lib/sd_mod.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/scsi/aic7xxx/aic7xxx.o' ->
`/tmp/initrd.1eGPcA/lib/aic7xxx.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/md/xor.o' ->
`/tmp/initrd.1eGPcA/lib/xor.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/drivers/md/raid5.o' ->
`/tmp/initrd.1eGPcA/lib/raid5.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/fs/jbd/jbd.o' ->
`/tmp/initrd.1eGPcA/lib/jbd.o'
`/lib/modules/2.4.18-18.8.0smp/./kernel/fs/ext3/ext3.o' ->
`/tmp/initrd.1eGPcA/lib/ext3.o'
Loading module scsi_mod
Loading module sd_mod
Loading module aic7xxx
Loading module xor
Loading module raid5
Loading module jbd
Loading module ext3

2. Can you attach the 'dmesg' output from a normal boot?

Let me reboot, and I'll send it to you in a few minutes.
Comment 7 Barry K. Myrvold 2003-01-02 18:52:03 EST
Can you attach the 'dmesg' output from a normal boot?
>dmesg
 1/1 eip 2000
Initializing CPU#1
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 994.61 BogoMIPS
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
Intel machine check reporting enabled on CPU#1.
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
CPU1: Intel Pentium III (Katmai) stepping 03
Total of 2 processors activated (1982.40 BogoMIPS).
ENABLING IO-APIC IRQs
Setting 2 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 2 ... ok.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 2-0, 2-13, 2-20, 2-21, 2-22, 2-23 not connected.
..TIMER: vector=0x31 pin1=2 pin2=0
number of MP IRQ sources: 41.
number of IO-APIC #2 registers: 24.
testing the IO APIC.......................

IO APIC #2......
.... register #00: 02000000
.......    : physical APIC id: 02
.... register #01: 00170011
.......     : max redirection entries: 0017
.......     : PRQ implemented: 0
.......     : IO APIC version: 0011
.... register #02: 00000000
.......     : arbitration: 00
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 000 00  1    0    0   0   0    0    0    00
 01 003 03  0    0    0   0   0    1    1    39
 02 002 02  0    0    0   0   0    1    1    31
 03 003 03  0    0    0   0   0    1    1    41
 04 003 03  0    0    0   0   0    1    1    49
 05 003 03  0    0    0   0   0    1    1    51
 06 003 03  0    0    0   0   0    1    1    59
 07 003 03  0    0    0   0   0    1    1    61
 08 003 03  0    0    0   0   0    1    1    69
 09 003 03  0    0    0   0   0    1    1    71
 0a 003 03  0    0    0   0   0    1    1    79
 0b 003 03  0    0    0   0   0    1    1    81
 0c 003 03  0    0    0   0   0    1    1    89
 0d 000 00  1    0    0   0   0    0    0    00
 0e 003 03  0    0    0   0   0    1    1    91
 0f 003 03  0    0    0   0   0    1    1    99
 10 003 03  1    1    0   1   0    1    1    A1
 11 003 03  1    1    0   1   0    1    1    A9
 12 003 03  1    1    0   1   0    1    1    B1
 13 003 03  1    1    0   1   0    1    1    B9
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 000 00  1    0    0   0   0    0    0    00
IRQ to pin mappings:
IRQ0 -> 0:2
IRQ1 -> 0:1
IRQ3 -> 0:3
IRQ4 -> 0:4
IRQ5 -> 0:5
IRQ6 -> 0:6
IRQ7 -> 0:7
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ10 -> 0:10
IRQ11 -> 0:11
IRQ12 -> 0:12
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ16 -> 0:16
IRQ17 -> 0:17
IRQ18 -> 0:18
IRQ19 -> 0:19
.................................... done.
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 497.0630 MHz.
..... host bus clock speed is 99.0906 MHz.
cpu: 0, clocks: 194253, slice: 64751
CPU0<T0:194240,T1:129488,D:1,S:64751,C:194253>
cpu: 1, clocks: 194253, slice: 64751
CPU1<T0:194240,T1:64736,D:2,S:64751,C:194253>
checking TSC synchronization across CPUs: passed.
migration_task 0 on cpu=0
migration_task 1 on cpu=1
PCI: PCI BIOS revision 2.10 entry at 0xfcf1e, last bus=2
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
PCI->APIC IRQ transform: (B0,I7,P3) -> 19
PCI->APIC IRQ transform: (B0,I14,P0) -> 17
PCI->APIC IRQ transform: (B1,I0,P0) -> 16
PCI->APIC IRQ transform: (B2,I9,P0) -> 17
PCI->APIC IRQ transform: (B2,I10,P0) -> 18
PCI->APIC IRQ transform: (B2,I14,P0) -> 18
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
apm: disabled - APM is not SMP safe.
Starting kswapd
allocated 64 pages and 64 bhs reserved for the highmem bounces
VFS: Diskquotas version dquot_6.5.0 initialized
Detected PS/2 Mouse Port.
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
oprofile: APIC was already enabled
oprofile 0.2 loaded, major 254
block: 1024 slots per queue, batch=256
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hdc: CRD-8480C, ATAPI CD/DVD-ROM drive
hdd: IOMEGA ZIP 100 ATAPI, ATAPI FLOPPY drive
ide1 at 0x170-0x177,0x376 on irq 15
ide-floppy driver 0.99.newide
hdd: No disk in drive
hdd: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
pci_hotplug: PCI Hot Plug PCI Core version: 0.4
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 355k freed
VFS: Mounted root (ext2 filesystem).
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 23:24:09 Nov 13 2002
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xdce0, IRQ 19
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
SCSI subsystem driver Revision: 1.00
kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
USB Mass Storage support registered.
hub.c: USB new device connect on bus1/1, assigned device number 2
hub.c: USB hub found
hub.c: 4 ports detected
hub.c: USB new device connect on bus1/2, assigned device number 3
usb.c: USB device 3 (vend/prod 0x46d/0xc00e) is not claimed by any active driver.
hub.c: USB new device connect on bus1/1/2, assigned device number 4
scsi0 : SCSI emulation for USB Mass Storage devices
usb-uhci.c: interrupt, status 3, frame# 1604
  Vendor: Maxtor 4  Model: D040H2            Rev: DAK0
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 80043264 512-byte hdwr sectors (40982 MB)
Partition check:
 sda: sda1
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 4
scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec aic7890/91 Ultra2 SCSI adapter>
        aic7890/91: Ultra2 Wide Channel A, SCSI Id=7, 32/253 SCBs

scsi2 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec aic7880 Ultra SCSI adapter>
        aic7880: Ultra Wide Channel A, SCSI Id=7, 16/253 SCBs

blk: queue f7b70018, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: ZJCS      Model: ZJCS2-18GB        Rev: S5BN
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue f7b1ca18, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: ZJCS      Model: ZJCS2-18GB        Rev: S5BS
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue f7b1c418, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: ZJCS      Model: ZJCS2-18GB        Rev: S5BN
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue f7ae6c18, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: ZJCS      Model: ZJCS2-18GB        Rev: S5BN
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue f7ae6818, I/O limit 4095Mb (mask 0xffffffff)
scsi1:A:2:0: Tagged Queuing enabled.  Depth 253
scsi1:A:4:0: Tagged Queuing enabled.  Depth 253
scsi1:A:6:0: Tagged Queuing enabled.  Depth 253
scsi1:A:8:0: Tagged Queuing enabled.  Depth 253
blk: queue f7ae6818, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: YAMAHA    Model: CRW8824S          Rev: 1.00
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue f7ab1c18, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: UMAX      Model: Astra 1220S       Rev: V1.3
  Type:   Scanner                            ANSI SCSI revision: 02
blk: queue f7ab1618, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: iomega    Model: jaz 1GB           Rev: J.86
  Type:   Direct-Access                      ANSI SCSI revision: 02
blk: queue f7ab1018, I/O limit 4095Mb (mask 0xffffffff)
Attached scsi disk sdb at scsi1, channel 0, id 2, lun 0
Attached scsi disk sdc at scsi1, channel 0, id 4, lun 0
Attached scsi disk sdd at scsi1, channel 0, id 6, lun 0
Attached scsi disk sde at scsi1, channel 0, id 8, lun 0
Attached scsi removable disk sdf at scsi2, channel 0, id 5, lun 0
(scsi1:A:2): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)
SCSI device sdb: 35843670 512-byte hdwr sectors (18352 MB)
 sdb: sdb1 sdb2 sdb3
(scsi1:A:4): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)
SCSI device sdc: 35843670 512-byte hdwr sectors (18352 MB)
 sdc: sdc1
(scsi1:A:6): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)
SCSI device sdd: 35843670 512-byte hdwr sectors (18352 MB)
 sdd: sdd1
(scsi1:A:8): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)
SCSI device sde: 35843670 512-byte hdwr sectors (18352 MB)
 sde: sde1
(scsi2:A:5): 10.000MB/s transfers (10.000MHz, offset 15)
SCSI device sdf: 2091050 512-byte hdwr sectors (1071 MB)
sdf: Write Protect is off
 sdf: sdf1
raid5: measuring checksumming speed
   8regs     :   919.552 MB/sec
   32regs    :   468.992 MB/sec
   pII_mmx   :  1112.064 MB/sec
   p5_mmx    :  1163.264 MB/sec
raid5: using function: p5_mmx (1163.264 MB/sec)
md: raid5 personality registered as nr 4
Journalled Block Device driver loaded
md: Autodetecting RAID arrays.
 [events: 00000041]
 [events: 00000041]
 [events: 00000041]
md: autorun ...
md: considering sde1 ...
md:  adding sde1 ...
md:  adding sdd1 ...
md:  adding sdc1 ...
md: created md0
md: bind<sdc1,1>
md: bind<sdd1,2>
md: bind<sde1,3>
md: running: <sde1><sdd1><sdc1>
md: sde1's event counter: 00000041
md: sdd1's event counter: 00000041
md: sdc1's event counter: 00000041
md0: max total readahead window set to 512k
md0: 2 data-disks, max readahead per data-disk: 256k
raid5: device sde1 operational as raid disk 2
raid5: device sdd1 operational as raid disk 1
raid5: device sdc1 operational as raid disk 0
raid5: allocated 3291kB for md0
raid5: raid level 5 set md0 active with 3 out of 3 devices, algorithm 0
RAID5 conf printout:
 --- rd:3 wd:3 fd:0
 disk 0, s:0, o:1, n:0 rd:0 us:1 dev:sdc1
 disk 1, s:0, o:1, n:1 rd:1 us:1 dev:sdd1
 disk 2, s:0, o:1, n:2 rd:2 us:1 dev:sde1
RAID5 conf printout:
 --- rd:3 wd:3 fd:0
 disk 0, s:0, o:1, n:0 rd:0 us:1 dev:sdc1
 disk 1, s:0, o:1, n:1 rd:1 us:1 dev:sdd1
 disk 2, s:0, o:1, n:2 rd:2 us:1 dev:sde1
md: updating md0 RAID superblock on device
md: sde1 [events: 00000042]<6>(write) sde1's sb offset: 17920384
md: sdd1 [events: 00000042]<6>(write) sdd1's sb offset: 17920384
md: sdc1 [events: 00000042]<6>(write) sdc1's sb offset: 17920384
md: ... autorun DONE.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 200k freed
usb.c: registered new driver hiddev
usb.c: registered new driver hid
input0: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb1:3.0
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.18, 14 May 2002 on sd(8,19), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on sd(8,17), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on md(9,0), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on sd(8,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
IA-32 Microcode Update Driver: v1.11 <tigran@veritas.com>
microcode: CPU1 already at revision 14 (current=14)
microcode: CPU0 already at revision 14 (current=14)
microcode: freed 4096 bytes
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
parport0: Printer, Hewlett-Packard HP LaserJet 5L
ohci1394: pci_module_init failed
ip_tables: (C) 2000-2002 Netfilter core team
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: Enabling device 00:0e.0 (0000 -> 0002)
Yenta IRQ list 0000, PCI irq17
Socket status: 10000011
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f 0x3f0-0x3ff 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
hermes.c: 5 Apr 2002 David Gibson <hermes@gibson.dropbear.id.au>
orinoco.c 0.11b (David Gibson <hermes@gibson.dropbear.id.au> and others)
orinoco_cs.c 0.11b (David Gibson <hermes@gibson.dropbear.id.au> and others)
divert: allocating divert_blk for eth0
eth0: Station identity 001f:0001:0008:000a
eth0: Looks like a Lucent/Agere firmware version 8.10
eth0: Ad-hoc demo mode supported
eth0: IEEE standard IBSS ad-hoc mode supported
eth0: WEP supported, 104-bit key
eth0: MAC address 00:02:2D:3A:3C:AF
eth0: Station name "HERMES I"
eth0: ready
eth0: index 0x01: Vcc 5.0, irq 17, io 0x0100-0x013f
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
parport0: Printer, Hewlett-Packard HP LaserJet 5L
lp0: using parport0 (polling).
lp0: console ready
0: nvidia: loading NVIDIA Linux x86 nvidia.o Kernel Module  1.0-4191  Mon Dec  9
11:49:01 PST 2002
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 816M
agpgart: Detected Intel 440BX chipset
agpgart: AGP aperture is 64M @ 0xf0000000
Creative EMU10K1 PCI Audio Driver, version 0.19, 23:27:24 Nov 13 2002
emu10k1: EMU10K1 rev 8 model 0x8064 found, IO at 0xece0-0xecff, IRQ 17
ac97_codec: AC97 Audio codec, id: 0x8384:0x7608 (SigmaTel STAC9708)
emu10k1: SBLive! 5.1 card detected
ide-floppy driver 0.99.newide
hdc: ATAPI 48X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.12
Attached scsi CD-ROM sr0 at scsi2, channel 0, id 1, lun 0
(scsi2:A:1): 20.000MB/s transfers (20.000MHz, offset 15)
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
ide-floppy: hdd: I/O error, pc =  0, key =  2, asc = 3a, ascq =  0
ide-floppy: hdd: I/O error, pc = 1b, key =  2, asc = 3a, ascq =  0
hdd: No disk in drive
ide-floppy: hdd: I/O error, pc = 1e, key =  2, asc = 3a, ascq =  0

That's it.  Good luck.  Hope its not a stupid config mistake by me.
Barry
Comment 8 Bill Nottingham 2003-01-02 20:54:59 EST
OK, so whatever initrd you're using *does* have usb-storage on it, before the
SCSI adapters.

mkinitrd -v -f /boot/initrd-2.4.18-18.8.0smp.img 2.4.18-18.8.0smp

should make an initrd without usb-storage, from what you've mentioned. I think
it's probably a bug in mkinitrd that it puts the usb-storage first.
Comment 9 Jeremy Katz 2003-01-06 00:23:17 EST
3.4.34-1 defaults to not including any usb modules unless explicitly requested
Comment 10 Bill Nottingham 2006-08-04 16:08:39 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.